{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <div class="">
        <div class="w3-bar w3-light-grey">
            <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-list-ol fa-lg"></i> {% trans 'Chrono' %} </a>
            <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
        </div>  
            
        <div class="w3-row-padding w3-section">    
            <div class="w3-col l1 m1 s1 ">
                <label><b>{% trans 'nextChronoNumber' %}</b></label>
                <input class="w3-input w3-border w3-margin-bottom" type="text" value='{{ chrono.counter }}' disabled>
            </div>
            
        <div>

        <div class="w3-row-padding w3-section">
            <form  method="POST"  action="/manage/chrono/update">
                {% csrf_token %}
                <div class="w3-col l1 m1 s1 ">
                    <label><b>{% trans 'newChronoNumber' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="number"  name="counter" value='{{ chrono.counter }}' >
                    <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Update' %}</button>
                </div>
            </form>
        </div>
        
        <div class="w3-row-padding w3-section">  
            <form  method="POST"  action="/manage/chrono/reserve">
                {% csrf_token %}
                <div class="w3-col l1 m1 s1">
                    <label><b>{% trans 'newReservedChronoNumber' %}</b></label>
                    {% if  chrono.reserved == 0 %}
                        <input class="w3-input w3-border w3-margin-bottom" type="number"  name="reserved" value='{{ chrono.counter }}' >
                    {% else %}
                        <input class="w3-input w3-border w3-margin-bottom" type="number"  name="reserved" value='{{ chrono.reserved }}' >
                    {% endif %}
                    <input type="hidden" name="counter" value='{{ chrono.counter }}' >
                    <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Update' %}</button>
                </div>
            </form>   
        </div>
    </div>
{% endblock %}
